import './assets/style/main.css'

import { createApp } from 'vue'
import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css'
import * as ElementPlusIconsVue from '@element-plus/icons-vue'
import zhCn from 'element-plus/es/locale/lang/zh-cn'
import App from './App.vue'
import router from './router'
import request from '@/plugin/axios/index.ts'


const app = createApp(App)
// 全局注册element icon
for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
  app.component(key, component)
}


app.provide('request', request)

app.use(ElementPlus, {
  locale: zhCn
})

app.use(router)

app.mount('#app')
